/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

$("#gif").hide();
$("#contenedorSemestre").hide();
$("#contenedorCuatrimestre").hide();

$("#semestre").change(function () {
    $ideLic = $("#cveLic").val();
    $numSemestre = $("#semestre").val();
    if ($ideLic === "default" || $numSemestre <= 0) {
        swal("", "Faltan datos: *Licenciatura o Semestre", "warning");
    } else {
        cargarGrupos($ideLic, $numSemestre,1);
    }
});
$("#cuatrimestre").change(function () {
    $ideLic = $("#cveLic").val();
    $numCuatrimestre = $("#cuatrimestre").val();
    if ($ideLic === "default" || $numCuatrimestre <= 0) {
        swal("", "Faltan datos: *Licenciatura o Semestre", "warning");
    } else {
        cargarGrupos($ideLic, $numCuatrimestre,0);
    }
});

$("#modalidad").change(function () {
    $valor = $(this).val();
    if ($valor == 1) {
        $("#contenedorCuatrimestre").hide();
        $("#contenedorSemestre").show();
    } else {
        $("#contenedorSemestre").hide();
        $("#contenedorCuatrimestre").show()
    }
});

function cargarGrupos(lic, semestre,b) {
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/cargarGrupos',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {ideLic: lic, numero: semestre,bandera : b},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            $("#gifG").show();
        },
        success: function (respuesta) {
            //alert("Correcto");
            $("#gifG").hide();
            document.getElementById("contenedorGruposAsignaturas").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            $("#gif").hide();
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
} // cargarLicenciaturas